%undefine __cmake_in_source_build

%global kf5_version 5.58.0

Name:    plasma-nm
Summary: Plasma for managing network connections
Version: 5.27.10
Release:    1%{?dist}

License: LGPLv2+ and GPLv2+
URL:     https://cgit.kde.org/%{name}.git

%global revision %(echo %{version} | cut -d. -f3)
%if %{revision} >= 50
%global stable unstable
%else
%global stable stable
%endif
Source0: http://download.kde.org/%{stable}/plasma/%{version}/%{name}-%{version}.tar.xz



%global __provides_exclude_from ^(%{_kf5_qtplugindir}/.*\\.so)$

BuildRequires:  gettext

BuildRequires:  kf5-rpm-macros
BuildRequires:  extra-cmake-modules >= %{kf5_version}
BuildRequires:  qt5-qtbase-devel
BuildRequires:  qt5-qtdeclarative-devel
BuildRequires:  qt5-qttools-devel
BuildRequires:  qt5-qttools-static

BuildRequires:  kf5-ki18n-devel
BuildRequires:  kf5-kcmutils-devel
BuildRequires:  kf5-kwindowsystem-devel
BuildRequires:  kf5-kservice-devel
BuildRequires:  kf5-kcompletion-devel
BuildRequires:  kf5-kwidgetsaddons-devel
BuildRequires:  kf5-kio-devel
BuildRequires:  kf5-kcoreaddons-devel
BuildRequires:  kf5-kwallet-devel
BuildRequires:  kf5-kitemviews-devel
BuildRequires:  kf5-kxmlgui-devel
BuildRequires:  kf5-kconfigwidgets-devel
BuildRequires:  kf5-kiconthemes-devel
BuildRequires:  kf5-solid-devel
BuildRequires:  kf5-kdbusaddons-devel
BuildRequires:  kf5-knotifications-devel
BuildRequires:  kf5-plasma-devel
BuildRequires:  kf5-kdeclarative-devel
BuildRequires:  kf5-kinit-devel
BuildRequires:  kf5-kdelibs4support-devel
BuildRequires:  kf5-networkmanager-qt-devel >= %{kf5_version}
BuildRequires:  kf5-modemmanager-qt-devel >= %{kf5_version}
BuildRequires:  kf5-prison-devel
BuildRequires:  kf5-kirigami2-devel

%if ! 0%{?bootstrap}
BuildRequires:  pkgconfig(ModemManager) >= 1.0.0
%endif
BuildRequires:  pkgconfig(libnm) >= 1.0.0
BuildRequires:  pkgconfig(openconnect) >= 4.00

BuildRequires:  qca-qt5-devel

Requires:       NetworkManager >= 1.0.0
Requires:       kf5-prison
Requires:       kf5-kirigami2

Provides:       kde-plasma-nm = %{version}-%{release}

%description
Plasma applet and editor for managing your network connections in KDE 4 using
the default NetworkManager service.

%package        mobile
Summary:        Mobile support for %{name}
Requires:       %{name} = %{version}-%{release}
Requires:       ModemManager
%if ! 0%{?bootstrap}
BuildRequires:  pkgconfig(mobile-broadband-provider-info)
%endif
Requires:       mobile-broadband-provider-info
Requires:       kf5-modemmanager-qt >= 5.0.0-1
Provides:       kde-plasma-nm-mobile = %{version}-%{release}
%description    mobile
%{summary}.

%package        openvpn
Summary:        OpenVPN support for %{name}
Requires:       %{name} = %{version}-%{release}
Requires:       NetworkManager-openvpn
Provides:       kde-plasma-nm-openvpn = %{version}-%{release}
%description    openvpn
%{summary}.

%package        openconnect
Summary:        OpenConnect support for %{name}
Requires:       %{name} = %{version}-%{release}
Requires:       NetworkManager-openconnect
Provides:       kde-plasma-nm-openconnect = %{version}-%{release}
%description    openconnect
%{summary}.

%package        openswan
Summary:        Openswan support for %{name}
Requires:       %{name} = %{version}-%{release}
Requires:       NetworkManager-openswan
Provides:       kde-plasma-nm-openswan = %{version}-%{release}
%description    openswan
%{summary}.

%package        strongswan
Summary:        Strongswan support for %{name}
Requires:       %{name} = %{version}-%{release}
Requires:       strongswan
Provides:       kde-plasma-nm-strongswan = %{version}-%{release}
%description    strongswan
%{summary}.

%package        l2tp
Summary:        L2TP support for %{name}
Requires:       %{name} = %{version}-%{release}
Requires:       NetworkManager-l2tp
Provides:       kde-plasma-nm-l2tp = %{version}-%{release}
%description    l2tp
%{summary}.

%package        pptp
Summary:        PPTP support for %{name}
Requires:       %{name} = %{version}-%{release}
Requires:       NetworkManager-pptp
Provides:       kde-plasma-nm-pptp = %{version}-%{release}
%description    pptp
%{summary}.

%package        sstp
Summary:        SSTP support for %{name}
Requires:       %{name} = %{version}-%{release}
%description    sstp
%{summary}.

%package        fortisslvpn
Summary:        Fortigate SSL VPN support for %{name}
Requires:       %{name} = %{version}-%{release}
Requires:       NetworkManager-fortisslvpn
%description    fortisslvpn
%{summary}.

%package        vpnc
Summary:        Vpnc support for %{name}
Requires:       %{name} = %{version}-%{release}
Requires:       NetworkManager-vpnc
Provides:       kde-plasma-nm-vpnc = %{version}-%{release}
%description    vpnc
%{summary}.

%package        ssh
Summary:        SSH suppor for %{name}
Requires:       %{name} = %{version}-%{release}
Requires:       NetworkManager-ssh
%description    ssh
%{summary}.

%package        iodine
Summary:        Iodine support for %{name}
Requires:       %{name} = %{version}-%{release}
Requires:       NetworkManager-iodine
%description    iodine
%{summary}.

%prep
%autosetup -p1


%build
%cmake_kf5 \
    -DBUILD_MOBILE:BOOL=ON

%cmake_build 


%install
%cmake_install


%find_lang plasma_applet_org.kde.plasma.networkmanagement
%find_lang plasmanetworkmanagement-kded
%find_lang plasmanetworkmanagement-kcm
%find_lang plasmanetworkmanagement-libs
%find_lang plasmanetworkmanagement_openvpnui
%find_lang plasmanetworkmanagement_openconnectui
%find_lang plasmanetworkmanagement_libreswanui
%find_lang plasmanetworkmanagement_strongswanui
%find_lang plasmanetworkmanagement_l2tpui
%find_lang plasmanetworkmanagement_pptpui
%find_lang plasmanetworkmanagement_sstpui
%find_lang plasmanetworkmanagement_fortisslvpnui
%find_lang plasmanetworkmanagement_vpncui
%find_lang plasmanetworkmanagement_sshui
%find_lang plasmanetworkmanagement_iodineui



%files -f plasma_applet_org.kde.plasma.networkmanagement.lang -f plasmanetworkmanagement-kded.lang -f plasmanetworkmanagement-libs.lang -f plasmanetworkmanagement-kcm.lang
%{_libdir}/libplasmanm_internal.so
%{_libdir}/libplasmanm_editor.so
%{_qt5_qmldir}/org/kde/plasma/networkmanagement/
%{_kf5_datadir}/plasma/plasmoids/org.kde.plasma.networkmanagement/
%{_datadir}/qlogging-categories5/plasma-nm.categories
%{_kf5_datadir}/knotifications5/networkmanagement.notifyrc
%{_kf5_plugindir}/kded/networkmanagement.so
%{_kf5_metainfodir}/org.kde.plasma.networkmanagement.appdata.xml

%{_qt5_plugindir}/plasma/kcms/systemsettings_qwidgets/kcm_networkmanagement.so
%{_datadir}/kcm_networkmanagement/qml/
%{_kf5_datadir}/applications/kcm_networkmanagement.desktop
%{_datadir}/locale/*/LC_MESSAGES/kcm_mobile_wifi.mo
%{_datadir}/locale/*/LC_MESSAGES/kcm_mobile_hotspot.mo

%files mobile
%{_qt5_plugindir}/kcms/kcm_mobile_hotspot.so
%{_qt5_plugindir}/kcms/kcm_mobile_wifi.so
%{_kf5_datadir}/kpackage/kcms/kcm_mobile_hotspot/contents/ui/main.qml
%{_kf5_datadir}/kpackage/kcms/kcm_mobile_wifi/contents/ui/ConnectDialog.qml
%{_kf5_datadir}/kpackage/kcms/kcm_mobile_wifi/contents/ui/ConnectionItemDelegate.qml
%{_kf5_datadir}/kpackage/kcms/kcm_mobile_wifi/contents/ui/NetworkSettings.qml
%{_kf5_datadir}/kpackage/kcms/kcm_mobile_wifi/contents/ui/PasswordField.qml
%{_kf5_datadir}/kpackage/kcms/kcm_mobile_wifi/contents/ui/main.qml


%files openvpn -f plasmanetworkmanagement_openvpnui.lang
%{_kf5_qtplugindir}/plasma/network/vpn/plasmanetworkmanagement_openvpnui.so

%files openconnect -f plasmanetworkmanagement_openconnectui.lang
%{_kf5_qtplugindir}/plasma/network/vpn/plasmanetworkmanagement_openconnect_anyconnect.so
%{_kf5_qtplugindir}/plasma/network/vpn/plasmanetworkmanagement_openconnect_globalprotectui.so
%{_kf5_qtplugindir}/plasma/network/vpn/plasmanetworkmanagement_openconnect_juniperui.so
%{_kf5_qtplugindir}/plasma/network/vpn/plasmanetworkmanagement_openconnect_pulseui.so
%{_kf5_qtplugindir}/plasma/network/vpn/plasmanetworkmanagement_openconnect_arrayui.so
%{_kf5_qtplugindir}/plasma/network/vpn/plasmanetworkmanagement_openconnect_f5ui.so
%{_kf5_qtplugindir}/plasma/network/vpn/plasmanetworkmanagement_openconnect_fortinetui.so

%files openswan -f plasmanetworkmanagement_libreswanui.lang
%{_kf5_qtplugindir}/plasma/network/vpn/plasmanetworkmanagement_libreswanui.so

%files strongswan -f plasmanetworkmanagement_strongswanui.lang
%{_kf5_qtplugindir}/plasma/network/vpn/plasmanetworkmanagement_strongswanui.so

%files l2tp -f plasmanetworkmanagement_l2tpui.lang
%{_kf5_qtplugindir}/plasma/network/vpn/plasmanetworkmanagement_l2tpui.so

%files pptp -f plasmanetworkmanagement_pptpui.lang
%{_kf5_qtplugindir}/plasma/network/vpn/plasmanetworkmanagement_pptpui.so

%files sstp -f plasmanetworkmanagement_sstpui.lang
%{_kf5_qtplugindir}/plasma/network/vpn/plasmanetworkmanagement_sstpui.so

%files fortisslvpn -f plasmanetworkmanagement_fortisslvpnui.lang
%{_kf5_qtplugindir}/plasma/network/vpn/plasmanetworkmanagement_fortisslvpnui.so

%files vpnc -f plasmanetworkmanagement_vpncui.lang
%{_kf5_qtplugindir}/plasma/network/vpn/plasmanetworkmanagement_vpncui.so

%files ssh -f plasmanetworkmanagement_sshui.lang
%{_kf5_qtplugindir}/plasma/network/vpn/plasmanetworkmanagement_sshui.so

%files iodine -f plasmanetworkmanagement_iodineui.lang
%{_kf5_qtplugindir}/plasma/network/vpn/plasmanetworkmanagement_iodineui.so

%changelog
* Mon Jul 01 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 5.27.10-1
- initial build
